const ENTER_KEY = 'Enter';
const ESCAPE_KEY = 'Escape';
const SPACE_KEY = 'Space';
const ARROW_KEYS = {
  LEFT: 'ArrowLeft',
  UP: 'ArrowUp',
  RIGHT: 'ArrowRight',
  DOWN: 'ArrowDown'
};
const ENTER_KEY_CODE = 13;
const ESCAPE_KEY_CODE = 27;
const SPACE_KEY_CODE = 32;
const ARROW_KEY_CODES = {
  LEFT: 37,
  UP: 38,
  RIGHT: 39,
  DOWN: 40
};
function createKeyTest(key, keyCode) {
  return function isKey(event) {
    return event.key === key || event.keyCode === keyCode;
  };
}
const isEnterKey = createKeyTest(ENTER_KEY, ENTER_KEY_CODE);
const isEscapeKey = createKeyTest(ESCAPE_KEY, ESCAPE_KEY_CODE);
const isSpaceKey = createKeyTest(SPACE_KEY, SPACE_KEY_CODE);
const isLeftArrowKey = createKeyTest(ARROW_KEYS.LEFT, ARROW_KEY_CODES.LEFT);
const isUpArrowKey = createKeyTest(ARROW_KEYS.UP, ARROW_KEY_CODES.UP);
const isRightArrowKey = createKeyTest(ARROW_KEYS.RIGHT, ARROW_KEY_CODES.RIGHT);
const isDownArrowKey = createKeyTest(ARROW_KEYS.DOWN, ARROW_KEY_CODES.DOWN);

export { ARROW_KEY_CODES, ENTER_KEY_CODE, ESCAPE_KEY_CODE, SPACE_KEY_CODE, isDownArrowKey, isEnterKey, isEscapeKey, isLeftArrowKey, isRightArrowKey, isSpaceKey, isUpArrowKey };
//# sourceMappingURL=keyboard.js.map
