/**
  Gets a numeric border-spacing values for a given element.

  @method getBorderSpacing
  @param {Element} element
  @return {Object}
  @private
*/
function getBorderSpacing(el) {
  let css = getComputedStyle(el).borderSpacing; // '0px 0px'
  let [horizontal, vertical] = css.split(' ');
  return {
    horizontal: parseFloat(horizontal),
    vertical: parseFloat(vertical)
  };
}

export { getBorderSpacing };
//# sourceMappingURL=css-calculation.js.map
